<?xml version='1.0'?>
<ns2:test-suite xmlns:ns2='urn:model.allure.qatools.yandex.ru' start='1592333673907' stop='1592333674557'>
    <name>Criar Usuário</name>
    <title>Criar Usuário</title>
    <test-cases>
        <test-case start='1592333673907' status='failed' stop='1592333674199'>
            <name>Cadastro sem preencher o email</name>
            <title>Cadastro sem preencher o email</title>
            <labels/>
            <parameters/>
            <steps/>
            <attachments>
                <attachment title='Screenshot' source='35f997c0-9d62-468f-84cd-3b8d06e8e574-attachment.png' type='image/png' size='3486'/>
            </attachments>
            <failure>
                <message>Failed: Helper.fillFieldWithTextWhenVisible is not a function</message>
                <stack-trace>TypeError: Helper.fillFieldWithTextWhenVisible is not a function
                    at CriarUsuario.cadastrarUsuario (D:\Automation_end-to-end\protractor_automation\page_objects\criarUsuario.po.js:17:16)
                    at UserContext.&lt;anonymous> (D:\Automation_end-to-end\protractor_automation\specs\criarUsuario.spec.js:18:22)
                    at C:\Users\fpri028\AppData\Roaming\npm\node_modules\protractor\node_modules\jasminewd2\index.js:112:25
                    at new ManagedPromise (C:\Users\fpri028\AppData\Roaming\npm\node_modules\protractor\node_modules\selenium-webdriver\lib\promise.js:1077:7)
                    at ControlFlow.promise (C:\Users\fpri028\AppData\Roaming\npm\node_modules\protractor\node_modules\selenium-webdriver\lib\promise.js:2505:12)
                    at schedulerExecute (C:\Users\fpri028\AppData\Roaming\npm\node_modules\protractor\node_modules\jasminewd2\index.js:95:18)
                    at TaskQueue.execute_ (C:\Users\fpri028\AppData\Roaming\npm\node_modules\protractor\node_modules\selenium-webdriver\lib\promise.js:3084:14)
                    at TaskQueue.executeNext_ (C:\Users\fpri028\AppData\Roaming\npm\node_modules\protractor\node_modules\selenium-webdriver\lib\promise.js:3067:27)
                    at C:\Users\fpri028\AppData\Roaming\npm\node_modules\protractor\node_modules\selenium-webdriver\lib\promise.js:2927:27
                    at C:\Users\fpri028\AppData\Roaming\npm\node_modules\protractor\node_modules\selenium-webdriver\lib\promise.js:668:7
                From: Task: Run it("Cadastro sem preencher o email") in control flow
                    at UserContext.&lt;anonymous> (C:\Users\fpri028\AppData\Roaming\npm\node_modules\protractor\node_modules\jasminewd2\index.js:94:19)
                    at attempt (C:\Users\fpri028\AppData\Roaming\npm\node_modules\protractor\node_modules\jasmine-core\lib\jasmine-core\jasmine.js:4297:26)
                    at QueueRunner.run (C:\Users\fpri028\AppData\Roaming\npm\node_modules\protractor\node_modules\jasmine-core\lib\jasmine-core\jasmine.js:4217:20)
                    at QueueRunner.execute (C:\Users\fpri028\AppData\Roaming\npm\node_modules\protractor\node_modules\jasmine-core\lib\jasmine-core\jasmine.js:4199:10)
                    at Spec.queueRunnerFactory (C:\Users\fpri028\AppData\Roaming\npm\node_modules\protractor\node_modules\jasmine-core\lib\jasmine-core\jasmine.js:909:35)
                    at Spec.execute (C:\Users\fpri028\AppData\Roaming\npm\node_modules\protractor\node_modules\jasmine-core\lib\jasmine-core\jasmine.js:526:10)
                    at UserContext.fn (C:\Users\fpri028\AppData\Roaming\npm\node_modules\protractor\node_modules\jasmine-core\lib\jasmine-core\jasmine.js:5340:37)
                    at attempt (C:\Users\fpri028\AppData\Roaming\npm\node_modules\protractor\node_modules\jasmine-core\lib\jasmine-core\jasmine.js:4297:26)
                    at QueueRunner.run (C:\Users\fpri028\AppData\Roaming\npm\node_modules\protractor\node_modules\jasmine-core\lib\jasmine-core\jasmine.js:4217:20)
                    at QueueRunner.execute (C:\Users\fpri028\AppData\Roaming\npm\node_modules\protractor\node_modules\jasmine-core\lib\jasmine-core\jasmine.js:4199:10)
                From asynchronous test: 
                Error
                    at Suite.&lt;anonymous> (D:\Automation_end-to-end\protractor_automation\specs\criarUsuario.spec.js:15:5)
                    at addSpecsToSuite (C:\Users\fpri028\AppData\Roaming\npm\node_modules\protractor\node_modules\jasmine-core\lib\jasmine-core\jasmine.js:1107:25)
                    at Env.describe (C:\Users\fpri028\AppData\Roaming\npm\node_modules\protractor\node_modules\jasmine-core\lib\jasmine-core\jasmine.js:1074:7)
                    at describe (C:\Users\fpri028\AppData\Roaming\npm\node_modules\protractor\node_modules\jasmine-core\lib\jasmine-core\jasmine.js:4399:18)
                    at Object.&lt;anonymous> (D:\Automation_end-to-end\protractor_automation\specs\criarUsuario.spec.js:5:1)
                    at Module._compile (internal/modules/cjs/loader.js:955:30)
                    at Object.Module._extensions..js (internal/modules/cjs/loader.js:991:10)
                    at Module.load (internal/modules/cjs/loader.js:811:32)
                    at Function.Module._load (internal/modules/cjs/loader.js:723:14)</stack-trace>
            </failure>
        </test-case>
        <test-case start='1592333674199' status='failed' stop='1592333674555'>
            <name>Cadastro com sucesso informandos todos os dados obrigatórios</name>
            <title>Cadastro com sucesso informandos todos os dados obrigatórios</title>
            <labels/>
            <parameters/>
            <steps/>
            <attachments>
                <attachment title='Screenshot' source='81476922-de87-43ce-8f21-75dd74d319a2-attachment.png' type='image/png' size='3486'/>
            </attachments>
            <failure>
                <message>Failed: Helper.fillFieldWithTextWhenVisible is not a function</message>
                <stack-trace>TypeError: Helper.fillFieldWithTextWhenVisible is not a function
                    at CriarUsuario.cadastrarUsuario (D:\Automation_end-to-end\protractor_automation\page_objects\criarUsuario.po.js:17:16)
                    at UserContext.&lt;anonymous> (D:\Automation_end-to-end\protractor_automation\specs\criarUsuario.spec.js:10:22)
                    at C:\Users\fpri028\AppData\Roaming\npm\node_modules\protractor\node_modules\jasminewd2\index.js:112:25
                    at new ManagedPromise (C:\Users\fpri028\AppData\Roaming\npm\node_modules\protractor\node_modules\selenium-webdriver\lib\promise.js:1077:7)
                    at ControlFlow.promise (C:\Users\fpri028\AppData\Roaming\npm\node_modules\protractor\node_modules\selenium-webdriver\lib\promise.js:2505:12)
                    at schedulerExecute (C:\Users\fpri028\AppData\Roaming\npm\node_modules\protractor\node_modules\jasminewd2\index.js:95:18)
                    at TaskQueue.execute_ (C:\Users\fpri028\AppData\Roaming\npm\node_modules\protractor\node_modules\selenium-webdriver\lib\promise.js:3084:14)
                    at TaskQueue.executeNext_ (C:\Users\fpri028\AppData\Roaming\npm\node_modules\protractor\node_modules\selenium-webdriver\lib\promise.js:3067:27)
                    at C:\Users\fpri028\AppData\Roaming\npm\node_modules\protractor\node_modules\selenium-webdriver\lib\promise.js:2974:25
                    at C:\Users\fpri028\AppData\Roaming\npm\node_modules\protractor\node_modules\selenium-webdriver\lib\promise.js:668:7
                From: Task: Run it("Cadastro com sucesso informandos todos os dados obrigatórios") in control flow
                    at UserContext.&lt;anonymous> (C:\Users\fpri028\AppData\Roaming\npm\node_modules\protractor\node_modules\jasminewd2\index.js:94:19)
                    at attempt (C:\Users\fpri028\AppData\Roaming\npm\node_modules\protractor\node_modules\jasmine-core\lib\jasmine-core\jasmine.js:4297:26)
                    at QueueRunner.run (C:\Users\fpri028\AppData\Roaming\npm\node_modules\protractor\node_modules\jasmine-core\lib\jasmine-core\jasmine.js:4217:20)
                    at QueueRunner.execute (C:\Users\fpri028\AppData\Roaming\npm\node_modules\protractor\node_modules\jasmine-core\lib\jasmine-core\jasmine.js:4199:10)
                    at Spec.queueRunnerFactory (C:\Users\fpri028\AppData\Roaming\npm\node_modules\protractor\node_modules\jasmine-core\lib\jasmine-core\jasmine.js:909:35)
                    at Spec.execute (C:\Users\fpri028\AppData\Roaming\npm\node_modules\protractor\node_modules\jasmine-core\lib\jasmine-core\jasmine.js:526:10)
                    at UserContext.fn (C:\Users\fpri028\AppData\Roaming\npm\node_modules\protractor\node_modules\jasmine-core\lib\jasmine-core\jasmine.js:5340:37)
                    at attempt (C:\Users\fpri028\AppData\Roaming\npm\node_modules\protractor\node_modules\jasmine-core\lib\jasmine-core\jasmine.js:4297:26)
                    at QueueRunner.run (C:\Users\fpri028\AppData\Roaming\npm\node_modules\protractor\node_modules\jasmine-core\lib\jasmine-core\jasmine.js:4217:20)
                    at runNext (C:\Users\fpri028\AppData\Roaming\npm\node_modules\protractor\node_modules\jasmine-core\lib\jasmine-core\jasmine.js:4257:20)
                From asynchronous test: 
                Error
                    at Suite.&lt;anonymous> (D:\Automation_end-to-end\protractor_automation\specs\criarUsuario.spec.js:7:5)
                    at addSpecsToSuite (C:\Users\fpri028\AppData\Roaming\npm\node_modules\protractor\node_modules\jasmine-core\lib\jasmine-core\jasmine.js:1107:25)
                    at Env.describe (C:\Users\fpri028\AppData\Roaming\npm\node_modules\protractor\node_modules\jasmine-core\lib\jasmine-core\jasmine.js:1074:7)
                    at describe (C:\Users\fpri028\AppData\Roaming\npm\node_modules\protractor\node_modules\jasmine-core\lib\jasmine-core\jasmine.js:4399:18)
                    at Object.&lt;anonymous> (D:\Automation_end-to-end\protractor_automation\specs\criarUsuario.spec.js:5:1)
                    at Module._compile (internal/modules/cjs/loader.js:955:30)
                    at Object.Module._extensions..js (internal/modules/cjs/loader.js:991:10)
                    at Module.load (internal/modules/cjs/loader.js:811:32)
                    at Function.Module._load (internal/modules/cjs/loader.js:723:14)</stack-trace>
            </failure>
        </test-case>
    </test-cases>
</ns2:test-suite>